Bug 1680040 - golang: ppc64le segfaults
Summary: golang: ppc64le segfaults
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: golang
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Čajka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PPCTracker 1668021 1675007 1675027 1674763 1675020 1675032 1675039 1676285
TreeView+ depends on / blocked
 
Reported: 2019-02-22 15:36 UTC by Carl George
Modified: 2019-02-28 12:19 UTC (History)
9 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-02-28 07:39:07 UTC


Attachments (Terms of Use)

Description Carl George 2019-02-22 15:36:56 UTC
Description of problem:
golang 1.12 appears to have a regression that is causes segfaults on ppc64le.

https://github.com/containerd/containerd/issues/3005
https://github.com/oschwald/maxminddb-golang/issues/51
https://github.com/golang/go/issues/30283

Version-Release number of selected component (if applicable):
golang-1.12-0.beta2.2.fc30.1

How reproducible:
always

Steps to Reproduce:
1. build containerd for rawhide

Actual results:
test suite segfaults on ppc64le

Expected results:
tests pass

Additional info:
Upstream thinks they have fixed the issue in https://go-review.googlesource.com/c/go/+/163337/.  Please consider backporting that as a patch to the package so other packages test suites can pass in rawhide.

Comment 1 Carl George 2019-02-26 21:54:40 UTC
The containerd upstream believes this is fixed in the final golang 1.12 release, which is now available.

Comment 2 Menanteau Guy 2019-02-27 14:52:38 UTC
I built locally, last golang-1.12 and built podman on it. I confirm the bug is fixed when running this new podman.
I suggest to wait and test the new golang and podman based on it in koji before closing this bug.

Comment 3 Jakub Čajka 2019-02-27 19:28:49 UTC
(In reply to Menanteau Guy from comment #2)
> I built locally, last golang-1.12 and built podman on it. I confirm the bug
> is fixed when running this new podman.
> I suggest to wait and test the new golang and podman based on it in koji
> before closing this bug.

Thanks for verifying this. Working on the rebase atm.

Comment 4 Jakub Čajka 2019-02-27 19:31:58 UTC
Oh... for the record there should be roughly ~10 more packages affected(I will track them down later on).


Note You need to log in before you can comment on or make changes to this bug.